pserv can import celery configs erroneously

Bug #1086210 reported by Julian Edwards
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
MAAS
Critical
Jeroen T. Vermeulen
1.2
Critical
Julian Edwards

Bug Description

maas-provision can import celery modules that, as a side effect, try to read celeryconfig.py. That module is not always available, e.g. on a dev system, or on a cluster controller that isn't also a region controller where celery hasn't been told to load the right config module, so that it may output inappropriate warnings.

Related branches

Changed in maas:
status: New → Fix Released
importance: Undecided → Critical
assignee: nobody → Jeroen T. Vermeulen (jtv)
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers